//
// Ripple reflection vertex shader
//

varying	vec4		pos;
uniform float		time;
uniform	sampler3D	noiseMap;
uniform	sampler2D	reflectionMap;

void main (void)
{
	vec3	ncoord    = vec3 ( pos.x, pos.y + time, pos.z ) * 1.1;
	vec3	noise     = texture3D ( noiseMap, ncoord ).rgb;
	vec4	tex       = gl_TextureMatrix [0] * pos + vec4 ( noise * 0.05, 0.0 );
	vec3	reflColor = texture2DProj ( reflectionMap, tex ).xyz * 0.8;

	gl_FragColor = vec4 ( reflColor, 1.0 );
}
